Subject: Re: [v6ops] new draft: draft-chen-v6ops-nat64-experience

From: Iljitsch van Beijnum <[email-masked]>
Date: Tue, 5 Jun 2012 21:33:28 +0200

On 14 Feb 2012, at 15:55 , <[email-masked]> <[email-masked]> wrote:

> A new draft has been posted, at http://tools.ietf.org/html/draft-chen-v6ops-nat64-experience. Please take a look at it and comment.

I had a quick read and I don't get it.

What is the point of this draft? It looks to me like some kind of management summary of NAT64.

And although it has "experience" in the title, I didn't find any "we did A and then B happened" type of discussion in the document.

What's with the NAT64-CGN and NAT64-CE terminology? Isn't the latter just NAT46?

Considering the above, I strongly recommend that this document be abandoned so as to not take up time that could be used for something productive.

---

From: GangChen <[email-masked]>
Date: Wed, 6 Jun 2012 18:53:30 +0800

2012/6/6, Iljitsch van Beijnum <[email-masked]>:
>> A new draft has been posted, at
>> http://tools.ietf.org/html/draft-chen-v6ops-nat64-experience. Please take
>> a look at it and comment.
>
> I had a quick read and I don't get it.>
> What is the point of this draft? It looks to me like some kind of management
> summary of NAT64.>
> And although it has "experience" in the title, I didn't find any "we did A
> and then B happened" type of discussion in the document.

Thanks for your attention.
The goal is to generalize the "NAT64 experiences" in a single document.
The implicited practices in the experiences are certainly doing the
"we did A and then B happened".
I can describe them in your language as below.

-->NAT64-CGN

NAT64 placement: we did centralized deployment on CR with embedded
NAT64, then it found the cost is much than distributed on BNG with
NAT64-by-side
NAT64 HA: we did hot-standby and cold-standby, then hot-standby does
not offer much benefit because the most common Internet traffic type
is short lived sessions
Traceability: we did online (by Radius server), then it found high
performance is required on Radius servers (Another recommendation is
to add logging amount discussion, we will update that at next version)
Quality of Experience: we did testing on ALG, then it found the
practices doesn't conform the standard pace. Most ALG is
vendor-specific, even doesn't support it at all

--->NAT64-CE

we did NAT64-CE for enterprise customers, then it found IPv6 space
much bigger than IPv4 space
we did NAT64-CE for enterprise customers, then it found Anti-DDoS/SYN
Flood should be considerated
we did load-balance for NAT6-CE, then it found DNS64-based could not
work, load balancer is preferable
we did NAT64-CE for enterprise customers, then it found MTU on IPv4
network is better to set more than 1260(IPv4 network normally operated
by a particular entity)

Since it's a generalized experience, we may not strictly formulate the
text as "we did A and then B happened" type
But we could do that, if the group asks such expressing

> What's with the NAT64-CGN and NAT64-CE terminology? Isn't the latter just

The terms (CGN/CE) is only to be understood as a topological
qualifier. Different scenarios link to RFC6144.
One explanation is the third paragraph in introduction. In short
NAT64-CE is the IPv6 Internet to Ipv4 network scenario.

NAT64-CE has nothing to do with NAT46. NAT64-CE is subsided the
location to a customer edge, e.g. Enterprise-GW.
Many legacy IPv4 servers would benefit from such placement and become
accessible from IPv6. Please see more at section 3.1

> Considering the above, I strongly recommend that this document be abandoned
> so as to not take up time that could be used for something productive.

I guess that is not a fair decision for a item people in favor of in
last meeting.

Gang

---

From: Iljitsch van Beijnum <[email-masked]>
Date: Wed, 6 Jun 2012 13:02:51 +0200

> The goal is to generalize the "NAT64 experiences" in a single document.

Wouldn't that be more like an applicability document?

---

From: GangChen <[email-masked]>
Date: Wed, 6 Jun 2012 19:38:16 +0800

> Wouldn't that be more like an applicability document?

http://www.ietf.org/mail-archive/web/v6ops/current/msg11145.html
already helped to clarify that.  Please take a look

Gang